Index: make/ChangeLog
===================================================================
--- make/ChangeLog	(revision 3f7b5b5a9da53a64d4926146eda7c131718b9ff7)
+++ make/ChangeLog	(revision a4baeb67a88328eb0d2d85bf76853d364cd47fff)
@@ -1,2 +1,7 @@
+2004-02-05	Joel Sherrill <joel@OARcorp.com>
+
+	* custom/p4000.cfg, custom/p4600.cfg, custom/p4650.cfg: Re-added
+	these -- copied from the 4.6 branch.
+
 2004-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: make/custom/p4000.cfg
===================================================================
--- make/custom/p4000.cfg	(revision a4baeb67a88328eb0d2d85bf76853d364cd47fff)
+++ make/custom/p4000.cfg	(revision a4baeb67a88328eb0d2d85bf76853d364cd47fff)
@@ -0,0 +1,40 @@
+#
+#  Config file for the algorithmics p4000 evaluation board
+#
+#  $Id$
+#
+
+# NOTE: This file is shared between the mips and mips64orion
+#       "ports".  The following defines are needed by the mips64orion
+#       but not the mips.
+ifeq ($(RTEMS_CPU),mips64orion)
+CPU_DEFINES+=-DP4000 -DCPU_R4000 -DP3_DIAG -D_R4000 -D__mips=3
+endif
+
+# This is the actual bsp directory used during the build process.
+RTEMS_BSP_FAMILY=p4000
+
+#  This contains the compiler options necessary to select the CPU model
+#  and (hopefully) optimize for it. 
+CPU_CFLAGS = -mips3 -G0
+
+# optimize flag: typically -0, could use -O4 or -fast
+# -O4 is ok for RTEMS
+CFLAGS_OPTIMIZE_V=-O4 -fomit-frame-pointer
+
+# The following are definitions of make-exe which will work using ld as
+# is currently required.  It is expected that as of gcc 2.8, the end user
+# will be able to override parts of the compilers specs and link using gcc.
+
+define make-exe
+	$(LINK.c) $(AM_CFLAGS) $(AM_LDFLAGS) -o $(basename $@).exe \
+	    $(LINK_OBJS) $(LINK_LIBS)
+	$(OBJCOPY) -O srec $(basename $@).exe $(basename $@).srec1
+        $(PACKHEX) < $(basename $@).srec1 > $(basename $@).srec
+	$(RM) $(basename $@).srec1
+	$(NM) -n $(basename $@).exe > $(basename $@).num
+	$(SIZE) $(basename $@).exe
+endef
+
+# Miscellaneous additions go here
+
Index: make/custom/p4600.cfg
===================================================================
--- make/custom/p4600.cfg	(revision a4baeb67a88328eb0d2d85bf76853d364cd47fff)
+++ make/custom/p4600.cfg	(revision a4baeb67a88328eb0d2d85bf76853d364cd47fff)
@@ -0,0 +1,47 @@
+#
+#  Config file for the algorithmics p4000 evaluation board with R4600 cpu
+#
+#  $Id$
+#
+
+include $(RTEMS_ROOT)/make/custom/default.cfg
+
+RTEMS_CPU_MODEL=R4600
+
+# This is the actual bsp directory used during the build process.
+RTEMS_BSP_FAMILY=p4000
+
+# gcc 2.95.x and 3.0
+#CPU_CFLAGS = -m4600 -mips3 -G0
+# gcc 3.1 and newer
+CPU_CFLAGS = -march=4600 -G0
+CCMIPS_CFLAGS_CPU=-cpu=r4600
+
+ifeq ($(RTEMS_CPU),mips64orion)
+CPU_DEFINES+=-DP4000 -DCPU_R4000 -DP3_DIAG -D_R4000 -D__mips=3
+endif
+
+#  This contains the compiler options necessary to select the CPU model
+#  and (hopefully) optimize for it. 
+CPU_CFLAGS = -mips3 -G0
+
+# optimize flag: typically -0, could use -O4 or -fast
+# -O4 is ok for RTEMS
+CFLAGS_OPTIMIZE_V=-O4 -fomit-frame-pointer
+
+# The following are definitions of make-exe which will work using ld as
+# is currently required.  It is expected that as of gcc 2.8, the end user
+# will be able to override parts of the compilers specs and link using gcc.
+
+define make-exe
+	$(LINK.c) $(AM_CFLAGS) $(AM_LDFLAGS) \
+	    -o $@ $(LINK_OBJS) $(LINK_LIBS)
+	$(OBJCOPY) -O srec $@ $(basename $@).srec1
+        $(PACKHEX) < $(basename $@).srec1 > $(basename $@).srec
+	$(RM) $(basename $@).srec1
+	$(NM) -n $@ > $(basename $@).num
+	$(SIZE) $@
+endef
+
+# Miscellaneous additions go here
+
Index: make/custom/p4650.cfg
===================================================================
--- make/custom/p4650.cfg	(revision a4baeb67a88328eb0d2d85bf76853d364cd47fff)
+++ make/custom/p4650.cfg	(revision a4baeb67a88328eb0d2d85bf76853d364cd47fff)
@@ -0,0 +1,45 @@
+#
+#  Config file for the algorithmics p4000 evaluation board with R4650 cpu
+#
+#  $Id$
+#
+
+include $(RTEMS_ROOT)/make/custom/default.cfg
+
+RTEMS_CPU_MODEL=R4650
+
+# This is the actual bsp directory used during the build process.
+RTEMS_BSP_FAMILY=p4000
+
+CCMIPS_CFLAGS_CPU=-cpu=r4650
+
+ifeq ($(RTEMS_CPU),mips64orion)
+CPU_DEFINES+=-DP4000 -DCPU_R4000 -DP3_DIAG -D_R4000 -D__mips=3
+endif
+
+#  This contains the compiler options necessary to select the CPU model
+#  and (hopefully) optimize for it. 
+# gcc 2.95.x and 3.0
+#CPU_CFLAGS = -m4650 -mips3 -G0
+# gcc 3.1 and newer
+CPU_CFLAGS = -mcpu=4650 -G0 -mips3
+
+# optimize flag: typically -0, could use -O4 or -fast
+# -O4 is ok for RTEMS
+CFLAGS_OPTIMIZE_V=-O4 -fomit-frame-pointer
+
+# The following are definitions of make-exe which will work using ld as
+# is currently required.  It is expected that as of gcc 2.8, the end user
+# will be able to override parts of the compilers specs and link using gcc.
+
+define make-exe
+	$(LINK.c) $(AM_CFLAGS) $(AM_LDFLAGS) -o $(basename $@).exe \
+	    $(LINK_OBJS) $(LINK_LIBS) $(LD_LIBS)
+	$(OBJCOPY) -O srec $(basename $@).exe $(basename $@).srec1
+        $(PACKHEX) < $(basename $@).srec1 > $(basename $@).srec
+	$(RM) $(basename $@).srec1
+	$(NM) -n $(basename $@).exe > $(basename $@).num
+	$(SIZE) $(basename $@).exe
+endef
+
+# Miscellaneous additions go here
